Name:           merkaartor
Version:        0.19.0
Release:        %autorelease
Summary:        Qt-Based OpenStreetMap editor

# GPL-2.0-or-later: main program
# GPL-3.0-or-later: plugins/background/MCadastreFranceBackground/qadastre
# LGPL-3.0-or-later: 
# - src/ImportExport/fileformat.proto
# - src/ImportExport/osmformat.proto
# LGPL-2.1-only WITH Qt-LGPL-exception-1.1 OR GPL-3.0-only: src/QToolBarDialog
License:        GPL-2.0-or-later AND GPL-3.0-or-later AND LGPL-3.0-or-later AND (LGPL-2.1-only WITH Qt-LGPL-exception-1.1 OR GPL-3.0-only)
URL:            http://www.merkaartor.be
VCS:            https://github.com/openstreetmap/merkaartor
Source0:        %vcs/archive/%{version}/%{name}-%{version}.tar.gz
Patch:          merkaartor-0.18.3-no-git-version.patch
# Replaced use of AutoPtr with std::unique_ptr in GeoImageDock.cpp
Patch:          https://github.com/openstreetmap/merkaartor/commit/1e20d2ccd743ea5f8c2358e4ae36fead8b9390fd.patch
Patch:          0001-Fix-build-with-GPSD.patch
Patch:          0001-Use-CMAKE_INSTALL_LIBDIR-for-library-installation-pa.patch
Patch:          0001-Add-option-to-use-system-wide-qtsingleapplication.patch

BuildRequires:  appstream
BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(Qt5)
BuildRequires:  pkgconfig(Qt5Designer)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5WebKit)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(exiv2)
BuildRequires:  pkgconfig(gdal)
BuildRequires:  pkgconfig(libgps)
BuildRequires:  pkgconfig(proj) >= 6.0.0
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  qtchooser
BuildRequires:  qtsingleapplication-qt5-devel
Requires:       hicolor-icon-theme

%description
Merkaartor is a small editor for OpenStreetMap available under the
GNU General Public License and developed using the Qt toolkit.

It has some unique features like anti-aliased displaying,
transparent display of map features like roads and curved roads.

%prep
%autosetup -p1 -n %{name}-%{version}
# Use packaged qtsingleapplication instead of bundled version
rm -rfv 3rdparty/qtsingleapplication-2.6_1-opensource

%build
%cmake -DZBAR=OFF \
       -DGEOIMAGE=ON \
       -DGPSD=ON \
       -DWEBENGINE=OFF \
       -DUSE_SYSTEM_QTSINGLEAPPLICATION=ON
%cmake_build

%install
%cmake_install
%find_lang %{name} --with-qt

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/org.%{name}.%{name}.desktop
appstreamcli validate --no-net %{buildroot}%{_metainfodir}/org.%{name}.%{name}.appdata.xml

%files -f %{name}.lang
%license LICENSE
%doc AUTHORS CHANGELOG HACKING.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%exclude %{_datadir}/%{name}/translations
%{_datadir}/applications/org.%{name}.%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_libdir}/%{name}/
%{_metainfodir}/org.%{name}.%{name}.appdata.xml

%changelog
%autochangelog
